# Page Not Found

The URL `getting-started-with-2050-materials/api/code-examples` does not exist. This page may have been moved, renamed, or deleted.

## Suggested Pages

You may be looking for one of the following:
- [Code Examples](https://docs.2050-materials.com/readme/using-the-2050-materials-api/sdks/code-examples.md)
- [SDKs](https://docs.2050-materials.com/readme/using-the-2050-materials-api/sdks.md)
- [Available Endpoints](https://docs.2050-materials.com/readme/using-the-2050-materials-api/available-endpoints.md)
- [Using the 2050 Materials APIs](https://docs.2050-materials.com/readme/using-the-2050-materials-api.md)
- [Product Data (Full)](https://docs.2050-materials.com/readme/using-the-2050-materials-api/available-endpoints/product-data-full.md)

## How to find the correct page

If the exact page cannot be found, you can still retrieve the information using the documentation query interface.

### Option 1 — Ask a question (recommended)

Perform an HTTP GET request on the documentation index with the `ask` parameter:

```
GET https://docs.2050-materials.com/readme/using-the-2050-materials-api/sdks/code-examples.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

### Option 2 — Browse the documentation index

Full index: https://docs.2050-materials.com/sitemap.md

Use this to discover valid page paths or navigate the documentation structure.

### Option 3 — Retrieve the full documentation corpus

Full export: https://docs.2050-materials.com/llms-full.txt

Use this to access all content at once and perform your own parsing or retrieval. It will be more expensive.

## Tips for requesting documentation

Prefer `.md` URLs for structured content, append `.md` to URLs (e.g., `/readme/using-the-2050-materials-api/sdks/code-examples.md`).

You may also use `Accept: text/markdown` header for content negotiation.
